void drawFractal(float len, float angle) {
  String[][] rules = {{"F", "F-F--F+++F+++F--F-F"}, {"+", "+"}, {"-", "-"}};
  String axiom = "F++F++F++F";
  String computedWord = axiom;
  
  //Move the turtle to center the image
  t.penUp();
  t.goToPoint(width/2 - 130, height/2 + 130);
  t.penDown();
  
  //Compute the new word, set to 3 permutations
  for (int i=0; i<3; i++) {
    String tempWord = computedWord;
    computedWord = "";
    
    for (int j=0; j<tempWord.length(); j++) {
      char c = tempWord.charAt(j);
      
      for (String[] r : rules) {
        if (c == r[0].charAt(0)) {
          computedWord += r[1];  
        }
      }
    }
  }
  
  //Draw the string
  for (char c : computedWord.toCharArray()) {
    if (c == 'F') {
      t.forward(len);
    }
    else if (c == '+') {
      t.right(angle);  
    }
    else if (c == '-') {
      t.left(angle);  
    }
  }
}
